Package org.springframework.security.web.authentication.session

# Class SessionFixationProtectionEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.authentication.event.AbstractAuthenticationEvent
org.springframework.security.web.authentication.session.SessionFixationProtectionEvent

All Implemented Interfaces:
  `Serializable`

public class SessionFixationProtectionEvent extends org.springframework.security.authentication.event.AbstractAuthenticationEvent
Indicates a session ID was changed for the purposes of session fixation protection.

Since:
  3.2
See Also:
  - `SessionFixationProtectionStrategy`
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`SessionFixationProtectionEvent(org.springframework.security.core.Authentication authentication, String oldSessionId, String newSessionId)`
Constructs a new session fixation protection event.

## Method Summary

Modifier and Type
Method
Description
`String`
`getNewSessionId()`
Getter for the session ID after it was changed.
`String`
`getOldSessionId()`
Getter for the session ID before it was changed.

### Methods inherited from class org.springframework.security.authentication.event.AbstractAuthenticationEvent

`getAuthentication`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SessionFixationProtectionEvent

public SessionFixationProtectionEvent(org.springframework.security.core.Authentication authentication, String oldSessionId, String newSessionId)
Constructs a new session fixation protection event.

Parameters:
  `authentication` - The authentication object
  `oldSessionId` - The old session ID before it was changed
  `newSessionId` - The new session ID after it was changed

## Method Details

### getOldSessionId

public String getOldSessionId()
Getter for the session ID before it was changed.

Returns:
  the old session ID.

### getNewSessionId

public String getNewSessionId()
Getter for the session ID after it was changed.

Returns:
  the new session ID.